Get a quote using the best live rate available right now.
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
or
Request Code Samples
curl --location 'https://api-gateway-uat.mmacs.io/platform/trade-service/api/v1/fx-rates/best-rate?sourceCurrency=NGN&targetCurrency=USD&amount=100&sourceCountry=&targetCountry=&onBehalfOf=' \
--header 'Authorization: Bearer <token>'
Responses
application/json
{
"message": "string",
"sourceCurrency": "string",
"sourceCountry": "string",
"targetCurrency": "string",
"targetCountry": "string",
"buyRate": "string",
"sellRate": "string",
"validityPeriod": "string",
"startTime": "string",
"endTime": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string"
}
Modified at 2026-09-10 09:41:41